#
# Copyright (C) 2012 Alexis Bienvenue <paamc@passoire.fr>
#
# This file is part of Auto-Multiple-Choice
#
# Auto-Multiple-Choice is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# Auto-Multiple-Choice is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Auto-Multiple-Choice.  If not, see
# <http://www.gnu.org/licenses/>.

package AMC::Filter::plainimg;

use AMC::Filter::plain;
use AMC::Basic;

@ISA=("AMC::Filter::plain");

sub format_text {
  my ($self,$t)=@_;
  $t =~ s/^\s+//;
  $t =~ s/\s+$//;
  if($self->{'options'}->{'latex'}) {
  } else {
    $t =~ s/\\(?!linewidth)/\\(\\backslash\\)/g;
    $t =~ s/~/\\(\\sim\\)/g;
    $t =~ s/\*/\\(\\ast\\)/g;
    $t =~ s/([&{}\#_%])/\\\1/g;
    $t =~ s/-/-{}/g;
    $t =~ s/\$/\\textdollar{}/g;
    $t =~ s/\^/\\textasciicircum{}/g;
    $t =~ s/\!([a-z0-9_\.]+)\!([^\s!]+)\!/\\begin{center}\\includegraphics[keepaspectratio=true,\2]{\1}\\end{center}/g;
    $t =~ s/\!([a-z0-9_\.]+)\!/\\begin{center}\\includegraphics[keepaspectratio=true,width=.8\\linewidth,height=.75\\linewidth]{\1}\\end{center}/g;
  }
  return($t);
}

1;
